## org.eclipse.uml2.uml
Interface TypedElement

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ActionInputPin, ActivityParameterNode, CentralBufferNode, ConnectableElement, DataStoreNode, Duration, DurationInterval, ExpansionNode, Expression, ExtensionEnd, InputPin, InstanceValue, Interval, LiteralBoolean, LiteralInteger, LiteralNull, LiteralSpecification, LiteralString, LiteralUnlimitedNatural, ObjectNode, OpaqueExpression, OutputPin, Parameter, Pin, Port, Property, StringExpression, StructuralFeature, TimeExpression, TimeInterval, ValuePin, ValueSpecification, Variable

    public interface TypedElement

extends NamedElement

A representation of the model object 'Typed Element'. A typed element is a kind of named element that represents an element with a type. A typed element has a type.

The following features are supported:

- `Type`

See Also:
  `UMLPackage.getTypedElement()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`Type` `getType()` Returns the value of the 'Type' reference
`void` `setType(Type value)` Sets the value of the '`Type`' reference

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getType

    Type getType()

  Returns the value of the 'Type' reference. This information is derived from the return result for this Operation. The type of the TypedElement.

  Returns:
    the value of the 'Type' reference.
  See Also:
    `setType(Type)`, `UMLPackage.getTypedElement_Type()`

### setType

    void setType(Type value)

  Sets the value of the '`Type`' reference.

  Parameters:
    `value` - the new value of the 'Type' reference.
  See Also:
    `getType()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.